Bug 742560 - Review Request: perl-CatalystX-SimpleLogin - Provide a simple Login controller which can be reused
Review Request: perl-CatalystX-SimpleLogin - Provide a simple Login controlle...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
http://search.cpan.org/dist/CatalystX...
:
Depends On: 742542 742543 742545 742552
Blocks: 742671
  Show dependency treegraph
 
Reported: 2011-09-30 10:40 EDT by Iain Arnell
Modified: 2011-10-24 23:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-CatalystX-SimpleLogin-0.15-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-22 04:30:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2011-09-30 10:40:07 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-CatalystX-SimpleLogin.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-CatalystX-SimpleLogin-0.15-1.fc17.src.rpm

Description:
CatalystX::SimpleLogin is an application class which provides a simple login
and logout page with the adition of only one line of code and one template to
your application.

*rt-0.10_01
Comment 1 Iain Arnell 2011-10-04 00:25:39 EDT
Deps are available in rawhide now.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3401219
Comment 2 Mario Blättermann 2011-10-11 14:49:27 EDT
$ rpmlint -i -v *perl-CatalystX-SimpleLogin.noarch: I: checking
perl-CatalystX-SimpleLogin.noarch: W: spelling-error %description -l en_US login -> loin, logic, lo gin
The value of this tag appears to be misspelled. Please double-check.

perl-CatalystX-SimpleLogin.noarch: W: spelling-error %description -l en_US logout -> lo gout, lo-gout, log out
The value of this tag appears to be misspelled. Please double-check.

perl-CatalystX-SimpleLogin.noarch: W: spelling-error %description -l en_US adition -> addition, audition, edition
The value of this tag appears to be misspelled. Please double-check.

perl-CatalystX-SimpleLogin.noarch: I: checking-url http://search.cpan.org/dist/CatalystX-SimpleLogin/ (timeout 10 seconds)
perl-CatalystX-SimpleLogin.src: I: checking
perl-CatalystX-SimpleLogin.src: W: spelling-error %description -l en_US login -> loin, logic, lo gin
The value of this tag appears to be misspelled. Please double-check.

perl-CatalystX-SimpleLogin.src: W: spelling-error %description -l en_US logout -> lo gout, lo-gout, log out
The value of this tag appears to be misspelled. Please double-check.

perl-CatalystX-SimpleLogin.src: W: spelling-error %description -l en_US adition -> addition, audition, edition
The value of this tag appears to be misspelled. Please double-check.

perl-CatalystX-SimpleLogin.src: I: checking-url http://search.cpan.org/dist/CatalystX-SimpleLogin/ (timeout 10 seconds)
perl-CatalystX-SimpleLogin.src: I: checking-url http://www.cpan.org/authors/id/B/BO/BOBTFISH/CatalystX-SimpleLogin-0.15.tar.gz (timeout 10 seconds)
perl-CatalystX-SimpleLogin.spec: I: checking-url http://www.cpan.org/authors/id/B/BO/BOBTFISH/CatalystX-SimpleLogin-0.15.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

False positive spelling errors mostly, the one which could be tweaked is "adition".



---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[.] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    1ed6869bb214f012c8594f8096d528f4  CatalystX-SimpleLogin-0.15.tar.gz
    1ed6869bb214f012c8594f8096d528f4  CatalystX-SimpleLogin-0.15.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates.
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it. Don't know how to test it on my
system.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.


----------------

PACKAGE APPROVED

----------------
Comment 3 Iain Arnell 2011-10-11 23:01:16 EDT
(In reply to comment #2)
> False positive spelling errors mostly, the one which could be tweaked is
> "adition".

So it is - will fix on import.

Thanks again for the reviews.
Comment 4 Iain Arnell 2011-10-11 23:01:43 EDT
New Package SCM Request
=======================
Package Name: perl-CatalystX-SimpleLogin
Short Description: Provide a simple Login controller which can be reused
Owners: iarnell
Branches: f15 f16
InitialCC: perl-sig
Comment 5 Jon Ciesla 2011-10-11 23:58:13 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-10-12 23:34:47 EDT
perl-CatalystX-SimpleLogin-0.15-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-CatalystX-SimpleLogin-0.15-2.fc15
Comment 7 Fedora Update System 2011-10-13 11:52:02 EDT
perl-CatalystX-SimpleLogin-0.15-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-CatalystX-SimpleLogin-0.15-2.fc16
Comment 8 Fedora Update System 2011-10-13 14:09:49 EDT
perl-CatalystX-SimpleLogin-0.15-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 9 Fedora Update System 2011-10-22 04:30:45 EDT
perl-CatalystX-SimpleLogin-0.15-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 10 Fedora Update System 2011-10-24 23:37:28 EDT
perl-CatalystX-SimpleLogin-0.15-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.